qt_internal_add_test(tst_protobuf_enumtypes_qml
    GUI
    QMLTEST
    SOURCES
        enumtypesqmltest.cpp
    PUBLIC_LIBRARIES
        Qt::Gui
        Qt::Qml
        Qt::Protobuf
    TESTDATA
        qml/tst_enumtypes.qml
)

_qt_internal_link_protobuf_objects(tst_protobuf_enumtypes_qml tst_protobuf_enumtypes_gen)
